> ## Documentation Index
> Fetch the complete documentation index at: https://docs.weborion.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create batch baseline job

> Creates a batch job to baseline (add) multiple new webpages in bulk.



## OpenAPI

````yaml /openapi.json post /api/v1/batch_jobs/baseline
openapi: 3.0.3
info:
  title: WebOrion Monitor API
  description: >-
    REST API for managing webpages, alerts, batch jobs, and activity logs in
    WebOrion Defacement Monitor.
  version: '2021-07-26'
servers:
  - url: https://api.monitor.weborion.io
security:
  - bearerAuth: []
tags:
  - name: User
    description: Operations related to user accounts
  - name: Webpages
    description: Operations related to webpages and URLs
  - name: Batch Jobs
    description: Operations related to batch baseline and rebaseline jobs
  - name: Alerts
    description: Operations related to alerts
  - name: Domains
    description: Operations related to domains
  - name: Tags
    description: Operations related to tags for organising webpages
paths:
  /api/v1/batch_jobs/baseline:
    post:
      tags:
        - Batch Jobs
      summary: Create batch baseline job
      description: Creates a batch job to baseline (add) multiple new webpages in bulk.
      operationId: createBatchBaselineJob
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BatchBaselineBody'
      responses:
        '200':
          description: OK
components:
  schemas:
    BatchBaselineBody:
      type: object
      required:
        - urls
        - user_agent_id
        - plan_type
      properties:
        urls:
          type: array
          items:
            type: string
        user_agent_id:
          type: integer
        plan_type:
          $ref: '#/components/schemas/PlanType'
        text_string_appear:
          type: string
        text_string_not_appear:
          type: string
    PlanType:
      type: string
      enum:
        - GOLD
        - SILVER
        - BRONZE
        - TRIAL
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Generate an API token from the WebOrion Defacement Monitor portal. Pass
        it as `Authorization: Bearer <token>`.

````